<% 	System.out.println("****222In Reconcilepophelp.jsp****"); %>
<%@page import="ibase.webitm.bean.*, ibase.utility.CommonConstants"%>
<%@page import="ibase.webitm.utility.ITMException"%>
<%@page import="ibase.utility.*"%>  
<%@page import="ibase.utility.UserInfoBean"%>
<%@page import="ibase.webitm.ejb.fin.ReconcilePopHelpBean"%>
<%@page import="java.io.*,java.util.*,java.util.zip.*"%>
<%@page import="java.io.ByteArrayInputStream"%>
<%@page import="java.util.HashMap"%>
<%@page import="java.io.ByteArrayInputStream"%>
<%@page import="javax.xml.transform.stream.StreamSource"%>
<%@page import="javax.xml.transform.stream.StreamResult"%>
<%@page import="javax.xml.transform.Result"%>
<%@page import="javax.xml.transform.dom.DOMSource"%>
<%@page import="javax.xml.transform.Source"%>
<%@page import="org.xml.sax.InputSource"%>
<%@page import="javax.xml.transform.Transformer"%>
<%@page import="javax.xml.transform.TransformerFactory"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Insert title here</title>
</head>
<body>
<%

response.setHeader("Expires", "Sat, 6 May 1995 12:00:00 GMT");
response.setHeader("Cache-Control", "no-store, no-cache,must-revalidate");
response.addHeader("Cache-Control", "post-check=0, pre-check=0");
response.setHeader("Pragma", "no-cache");
  String objName=request.getParameter("OBJ_NAME");
  String sundryType=request.getParameter("SUNDRYTYPE");
  sundryType=sundryType==null ? "" :sundryType.trim();
String xmlString="";

System.out.println("sundryType in jsp----->>["+sundryType+"]");
ReconcilePopHelpBean reconcileObj=new ReconcilePopHelpBean();
String returnXML=reconcileObj.getPophelp(sundryType);



StreamSource source = new StreamSource(new ByteArrayInputStream(returnXML.getBytes()));
String xslString = reconcileObj.getXSL("reconcilepop.xsl");
StreamSource stylesource = new StreamSource(new ByteArrayInputStream(xslString.getBytes()));
TransformerFactory factory = TransformerFactory.newInstance();
Transformer transformer = factory.newTransformer(stylesource);
StreamResult result = new StreamResult(out);
transformer.transform(source, result);



%>
<%=xmlString%>
</body>
</html>